﻿/*

var(--main-color)

*/

@font-face {
    font-family: 'IRANSansWeb';
    src: url( '../Fonts/IRANSansWeb.woff2?#' ) format( 'opentype' );
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    direction: rtl;
    font-family: 'IRANSansWeb';
    font-size: 1em;
}

html {
    scrollbar-color: auto;
}

::-webkit-scrollbar {
    width: 8px;
    height:4px;
    --direction-multiplier: -1;
}

::-webkit-scrollbar-track {
    background: #fff;
}

::-webkit-scrollbar-thumb {
    background-color: var(--main-color);
    border-radius: 2px;
}



a {
    text-decoration: none !important;
}

body {
    background-color: #fff;
    margin: 4em 2em;
    justify-items: center;
}

.NoteS {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    background: #0000003b;
    z-index: 3;
    display: none;
}

@keyframes openAnimS {
    0% {
        right: var(--ReVMoveCorner-Width);
    }

    100% {
        right: 0;
    }
}

@keyframes closeAnimS {
    0% {
        right: 0;
    }

    100% {
        right: var(--ReVMoveCorner-Width);
    }
}

.NoteS.open {
    display: block;
}

.NoteS .Menu {
    width: var(--moveCorner-Width);
    position: fixed;
    right: var(--ReVMoveCorner-Width);
    height: 100vh;
    background-color: #fff;
    border-radius: 2.5em 0 0 2.5em;
}

    .NoteS .Menu.open {
        right: 0;
    }

    .NoteS .Menu.openAnim {
        animation: openAnimS 0.4s ease;
    }

    .NoteS .Menu.closeAnim {
        animation: closeAnimS 0.4s ease;
    }

    .NoteS .Menu .top {
        display: flex;
        flex-direction: row-reverse;
        width: 100%;
        padding-left: 1.5em;
        padding-top: 1em;
        padding-bottom: 0.5em;
        border-bottom: 1px solid var(--gray-p-color);
        margin-right: 0;
    }

        .NoteS .Menu .top h5 {
            font-size: 1.2em;
            width: 100%;
            text-align: right;
            color: #000;
            margin-right: 0.5em;
        }

        .NoteS .Menu .top button {
            font-size: 1.2em;
            width: 3em;
            margin-right: 2.5em;
            text-align: center;
            background-color: var(--gray-p-color);
            border: none;
            font-weight: 100;
            color: var(--text-color);
            border-radius: 100%;
            height: 2.4em;
        }

    .NoteS .Menu .middle {
        margin: 2em 0.4em;
        border-bottom: 1px solid var(--gray-p-color);
    }

        .NoteS .Menu .middle p {
            font-size: 1.2em;
            text-align: center;
            color: var(--text-color);
            margin-bottom: 2em;
            margin-right: 0.5em;
        }

    .NoteS .Menu .bottom {
        margin-right: 0.5em;
        margin-left: 0.5em;
    }

        .NoteS .Menu .bottom p {
            font-size: 1.2em;
            text-align: right;
            color: var(--text-color);
            margin-right: 0.5em;
        }

            .NoteS .Menu .bottom p span {
                color: #000;
            }

        .NoteS .Menu .bottom .form textarea {
            width: 100%;
            min-height: 120px;
            font-size: 1em;
            line-height: 1.6;
            padding: 12px 14px;
            border-radius: 8px;
            border: 1px solid #ccc;
            resize: vertical;
            color: #222;
        }

        .NoteS .Menu .bottom .form .table-actions {
            display: flex;
            align-items: center;
            gap: 0.5em;
        }

            .NoteS .Menu .bottom .form .table-actions input {
                flex: 7;
                font-size: 1em;
                padding: 0.5em 0;
                border-radius: 6px;
                width: 100%;
                border: 1px solid #ccc;
                text-align: center;
            }

            .NoteS .Menu .bottom .form .table-actions button {
                background-color: var(--main-color);
                color: white;
                font-size: 1em;
                font-weight: 600;
                border: none;
                border-radius: 6px;
                padding: 0.5em 1em;
                cursor: pointer;
                transition: background-color 0.3s ease;
                flex: 5;
                cursor: pointer;
            }

                .NoteS .Menu .bottom .form .table-actions button.disabled {
                    color: var(--text-color);
                    background: var(--gray-p-color);
                    cursor: no-drop;
                }

header {
    display: flex;
    align-items: center;
    text-align: right;
    background-color: var(--main-color);
    padding: 1em 1em;
    border-radius: 4em 4em 0 0;
    width: -webkit-fill-available;
    max-width: var(--MaxWidth);
}

    header .pic {
        margin-left: 2em;
    }

    header .content {
        flex: 2;
        color: #fff;
    }

    header .pic img {
        width: 4em;
        border-radius: 5em;
    }

    header .content i {
        margin: 0 1em;
    }

    header .content span,.PulseSpan {
        text-align: center;
        margin-left: 1em;
        background-color: #1F7D53;
        display: inline-block;
        width: 10px;
        height: 10px;
        border-radius: 50%;
        background: #1F7D53;
        box-shadow: 0 0 6px rgb(31, 125, 83,0.95), 0 0 18px rgba(31,125,83,0.85);
        transform: translateZ(0);
        animation: pulse 2.8s infinite;
        margin-right: 1em;
    }

    header .content h1 {
        font-size: 1.2em;
    }

    header .content p {
        font-size: 1.3em;
        white-space: nowrap;
    }

    header .content .titr {
        font-size: 1em;
    }
    header #BackMenu{
        background:none;
        border:none;
        box-shadow:none;
        color:#fff;
        font-size:2em;
        margin-left:0.5em;
        padding:0.4em;
    }

    @keyframes pulse {
        0% {
        opacity: 1;
    }

    50% {
        opacity: 0.5;
    }

    100% {
        opacity: 1;
    }
}

.MenuSec {
    width: -webkit-fill-available;
    max-width: var(--MaxWidth);
    padding: 0 1em;
    height: calc(88vh - 8.2em);
    overflow-y: auto;
    overflow-x:hidden;
    border-radius: 4em;
    -webkit-overflow-scrolling: touch;
}

    .MenuSec .top {
        overflow: hidden;
    }

        .MenuSec .top .cats {
            display: flex;
            gap: 1em;
            border: 1px solid #ececec;
            border-radius: 0.5em;
            overflow-x: auto;
            overflow-y: hidden;
        }

            .MenuSec .top .cats .cat {
                padding: 0.7em 1em;
                border-radius: 5em;
                margin: 0.5em 0.4em;
                color: #000;
                font-size: 1.2em;
                transition: color 0.2s ease;
                cursor: pointer;
                flex-shrink: 0;
            }

                .MenuSec .top .cats .cat:hover {
                    color: var(--main-color);
                }

                .MenuSec .top .cats .cat.active {
                    /*                    background-color: #ececec;*/
                    border: 1px solid var(--second-color);
                    color: var(--second-color);
                }
                .MenuSec .top .cats .cat img {
                    height:1.5em;
                }

    .MenuSec .content {
        display: flex;
        flex-wrap: wrap;
        gap: 1em;
        margin-top: 1em;
    }

        .MenuSec .content .item {
            flex: 1 1 calc(100% - 4em);
            border: 1px solid #ececec;
            padding: 15px;
            border-radius: 8px;
            text-align: right;
            display: flex;
            align-items: center;
            justify-content: space-between;
            background: #f9f9f9;
            border:2px solid transparent;
            transition:border ease 0.3s;
            cursor:pointer;
        }
        .MenuSec .content .item:hover {
            border:2px solid var(--second-color);
        }

            .MenuSec .content .item .containerItem {
                display: flex;
                gap: 1em;
            }

                .MenuSec .content .item .containerItem .content {
                    display: inline;
                    padding-right: 0.5em;
                }

            .MenuSec .content .item .pic {
                padding: 1em;
                background-color: #ececec;
                border-radius: 0.5em;
            }

                .MenuSec .content .item .pic img {
                    width: 5em;
                }

            .MenuSec .content .item .body h3 {
                font-size: 1.3em;
                margin: 0.4em 0;
            }

            .MenuSec .content .item .body p {
                font-size: 1.05em;
                color: var(--text-color);
            }

            .MenuSec .content .item .body span {
                font-size: 1em;
                color: var(--text-color);
            }
            .MenuSec .content .item .body span b {
                font-size: 1.5em;
            }


            .MenuSec .content .item a {
                text-align: center;
                margin-top: 0.7em;
                padding: 0.8em 1em;
                border-radius: 0.5em;
                background-color: var(--main-color);
                font-weight: 100;
                color: #fff;
                position: relative;
                align-self: center;
            }

footer {
    width: -webkit-fill-available;
    max-width: var(--MaxWidth);
    display: flex;
    margin-top: 10em;
}

    footer .right {
        background-color: var(--main-color);
        flex: 1;
        border-left: 2px dashed var(--gray-800);
        border-left-width: 6px;
        border-left-style: dashed;
        border-left-color: var(--gray-800);
        border-image: repeating-linear-gradient(to bottom, var(--gray-800) 0, var(--gray-800) 10px, transparent 0, transparent 22px);
    }

        footer .right .top {
            display: flex;
            margin: 0 0.5em;
            padding: 0.5em 0;
        }

            footer .right .top img {
                width: 50px;
                height: 50px;
                object-fit: contain;
                border-radius: 20em;
            }

            footer .right .top h4 {
                font-size: 1.31em;
                color: #fff;
                font-weight: bolder;
                margin-right: 1em;
                align-self: center;
            }

        footer .right .middle {
            padding: 0.2em 1em;
            line-height: 2;
            color: #fff;
            font-size: 1.1em;
        }

        footer .right .buttom {
            padding: 0.5em 2em;
            display: flex;
            gap: 1em;
            padding-bottom: 2em;
        }

            footer .right .buttom a {
                padding: 0.5em;
                background: #2a2a2a;
                border-radius: 0.5em;
            }

            footer .right .buttom i {
                font-size: 1.5em;
                color: var(--gray-p-color);
            }

    footer .left {
        background-color: #2a2a2a;
        flex: 1;
    }

#FixedNote {
    color: #fff;
    position: fixed;
    z-index: 2;
    right: 2.5em;
    bottom: 2.5em;
    border:none;
    border-radius: 5em;
    padding: 0.8em 2em;
    font-size: 1.2em;
    text-decoration: none;
    font-family: 'IRanSansWeb';
    background-color: var(--main-color);
}
.CoverOnBackground {
    margin: 4em;
    border-radius: 4em;
    box-shadow: rgb(193, 193, 193, 1) 2px 2px 40px;
    width: -webkit-fit-content;
    max-width: var(--MaxWidth);
    height: calc(100vh - 8em);
}
#BackDrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0, 0.27);
    transform: translateY(100%);
    transition: transform 0.5s ease-in-out;
    z-index: 1000;
    box-shadow: 0 -5px 15px rgba(0,0,0,0.2);
    overflow-y: hidden;
    align-content: flex-end;
    text-align: center;
}

    #BackDrop.open {
        transform: translateY(0);
    }
    #BackDrop .container {
        background: #fff;
        padding: 0;
        margin: 0;
        width: 100%;
        display: flex;
        flex-direction: column;
        border-radius: 3em 3em 0em 0em;
    }
        #BackDrop .container .top {
            text-align: right;
            margin: 0.5em 1em;
        }
        #BackDrop .container .top i {
            font-size: 2em;
            padding: 0.4em;
            background: dimgray;
            border-radius: 5em;
            color: #fff;
        }
        #BackDrop .container .add-order {
            padding:1em;
            border:2px solid var(--second-color);
            background:var(--second-color);
            font-size:1.2em;
            color:#000;
        }

        #BackDrop .container .order {
            display: flex;
            align-self: center;
            margin-bottom:1em;
            gap:0.5em;
        }
            #BackDrop .container .order button {
                padding: 0.5em 1em;
                border: none;
                background: var(--second-color);
                border-radius:0.5em;
                color:#fff;
                font-size:1.1em;
            }
            #BackDrop .container .order span {
                padding: 0.5em 1em;
                font-size: 1.5em;
            }
    #BackDrop #itemdiv .pic {
        text-align:center;
    }
    #BackDrop #itemdiv .pic img {
        width: 25em;
    }
    #BackDrop #itemdiv .body h3 {
        font-size:2.5em;
    }
        #BackDrop #itemdiv .body p {
            font-size: 1.2em;
        }
    #BackDrop #itemdiv .body{
        margin-bottom:2em;
    }
        #BackDrop #itemdiv .body span {
            font-size: 1.5em;
        }
    #BackDrop #itemdiv a {
        display: none;
    }
.NoInternet {
    text-align: center;
    width: 100%;
    bottom: 12vh;
    position: fixed;
    left: 0;
    right: 0;
}
    .NoInternet button {
        padding: 0.5em 1em;
        font-size: 1.1em;
        color: var(--second-color);
        border: 1px solid var(--second-color);
        border-radius: 5em;
        background: transparent;
        margin-top:0.5em;
    }
    .NoInternet button i {
        margin-left:0.5em;
    }
    .NoInternet h3 {
        font-size: 1.5em;
    }
.LoadingPlaceHolder {
    display: flex;
    justify-content: center;
    align-items: end;
    height: 65vh;
    text-align: center;
    width: 100%;
}

    .LoadingPlaceHolder span {
        width: 10px;
        height: 10px;
        background-color: var(--second-color);
        border-radius: 50%;
        margin: 0 5px;
        animation: dot-blink 1s infinite;
    }

@keyframes dot-blink {
    0%, 20%, 100% {
        transform: scale(1); /* اندازه اصلی */
    }

    10% {
        transform: scale(1.5); /* بزرگ شدن در 10 درصد */
    }
}
    
    
    .Template .CoverOnBackground {
    padding: 0;
    height: calc(100vh - 8em);
    margin: 4em;
    border-radius: 0.8em;
    box-shadow: rgb(193, 193, 193, 1) 2px 2px 40px;
    width: -webkit-fill-available;
    border-radius: 4em;
    max-width: var(--MaxWidth);
}

.Template .header {
    position: relative;
    width: 100%;
    height: 28em;
    overflow: visible;
    border-radius: 4em 4em 0 0;
    margin-bottom: 60px;
    max-width: none;
}

.Template .header-img {
    width: 100%;
    height: 260px;
    object-fit: cover;
    border-radius: 0 0 25px 25px;
}

.Template .header-gradient {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 120px;
    background: linear-gradient(to top, rgba(0,0,0,0.55), rgba(0,0,0,0));
    border-radius: 0 0 25px 25px;
    pointer-events: none;
}

.Template .header-info {
    position: absolute;
    bottom: -6em;
    left: 50%;
    text-align: center;
    transform: translateX(-50%);
    width: calc(100% - 40px);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 5em;
}

.Template .header-logo {
    position: absolute;
    width: 6em;
    height: 6em;
    object-fit: cover;
    border-radius: 50%;
    border: 5px solid #fff;
    box-shadow: 0 10px 30px rgba(0,0,0,0.3);
    background: #fff;
    margin-top: 2em;
}

.Template .header-info h2 {
    margin: 1.5em 0 8px 0;
    font-size: 1.7em;
    font-weight: 700;
    color: #000;
}

.Template .status {
    color: green;
    margin-bottom: 4px;
    font-size: 16px;
}

.Template .address {
    margin-top: 0.8em;
    font-size: 1.2em;
    color: #fff;
    margin-right: -2em;
}

    .Template .address i {
        font-size: 1.8em;
        color: #fff;
        margin-left: 0.5em;
    }

.Template .header-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 4em 4em 0 0;
}

.Template .header-gradient {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%;
    background: linear-gradient(to top, rgb(0 0 0 / 79%), rgba(0, 0, 0, 0));
    border-radius: 0;
    pointer-events: none;
}

.Template .header-info .dispart {
    display: flex;
    align-items: baseline;
    gap: 1em;
    width: 100%;
    margin-top: 2em;
}

.Template .header-info .dispartfull {
    display: flex;
    align-items: baseline;
    width: 100%;
}

    .Template .header-info .dispartfull .address {
        flex: 1;
        text-align: right;
        margin-right: 1em;
    }

    .Template .header-info .dispartfull a {
        flex: 1;
        text-align: center;
        padding: 0.5em 0em;
        border: 1px solid #fff;
        color: #fff;
        border-radius: 2em;
        max-width: 12em;
    }

.Template .header-info .titr {
    margin-bottom: -1em;
    position: absolute;
    bottom: -1.4em;
    line-height: 2;
    text-align: right;
    color: #6a6a6a;
    width: 100%;
    right: 5em;
}

.Template .MenuObjects {
    justify-self: center;
    text-align: center;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 12vh;
    width: 100%;
    max-width: var(--MaxWidth);
}

    .Template .MenuObjects button {
        border: 2px solid #000;
        padding: 0.5em 4em;
        color: #000;
        border-radius: 5em;
        font-size: 1.2em;
        font-weight: 700;
        background: #fff;
    }
.Template .AccessPoint {
    position:absolute;
    align-self: self-end;
    margin-bottom:5em;
    margin-left:0;
    display:flex;
    gap:0.5em;
    left:7em;
}
    .Template .AccessPoint a {
        color: var(--main-color);
        font-size: 2em;
        border: 2px solid var(--main-color);
        padding: 0.5em 0.8em;
        border-radius: 50%;
   }

body.DarkTheme{
    background:var(--darkThemeBackground)
}
.DarkTheme .CoverOnBackground {
    box-shadow: var(--darkThemeGray) 2px 2px 40px;
}
.DarkTheme .MenuSec .top .cats {
    border: none;
}
    .DarkTheme .MenuSec .top .cats .cat {
        color: #fff;
    }
    .DarkTheme .MenuSec .top .cats .cat.active {
        background-color: var(--darkThemeGray);
    }
.DarkTheme .MenuSec .content .item {
    border: none;
    color:#fff;
    background: var(--darkThemeItems);
}
    .DarkTheme .MenuSec .content .item .pic {
        background-color: var(--darkThemeBackground);
    }
.DarkTheme ::-webkit-scrollbar-track {
    background: var(--darkThemeBackground);
}
.DarkTheme .MenuSec .content .item .body span {
    color: var(--darkThemeTextColor);
}
.DarkTheme .MenuSec .content .item .body p {
    color: var(--darkThemeTextColor);
}
.DarkTheme.Template .MenuObjects button {
    background: var(--darkThemeBackground);
    border: 2px solid #c8c8c8;
    color: #c8c8c8;
}
.DarkTheme.Template .header-info h2 {
    color: #fff;
}
.DarkTheme.Template .header-info .titr {
    color: var(--darkThemeTextColor);
}
.DarkTheme .NoteS .Menu {
    background-color: var(--darkThemeBackground);
}
.DarkTheme .NoteS .Menu .top h5 {
    color: #fff;
}
.DarkTheme .NoteS .Menu .top {
    border-bottom: 1px solid var(--darkThemeGray);
}
.DarkTheme .NoteS .Menu .top button {
    background-color: var(--darkThemeGray);
    color: #fff;
}
.DarkTheme .NoteS .Menu .middle p {
    color: var(--darkThemeTextColor);
}
    .DarkTheme .NoteS .Menu .bottom p {
        color: var(--darkThemeTextColor);
    }
        .DarkTheme .NoteS .Menu .bottom p span {
            color: #fff;
        }
    .DarkTheme .NoteS .Menu .bottom .form textarea {
        border: none;
        color: #fff;
        background: var(--darkThemeItems);
    }
    .DarkTheme .NoteS .Menu .bottom .form .table-actions input {
        border: none;
        color: #fff;
        background: var(--darkThemeItems);
    }
    .DarkTheme .NoteS .Menu .bottom .form .table-actions button.disabled {
        color: var(--darkThemeTextColor);
        background: var(--darkThemeItems);
    }
    .DarkTheme .NoteS .Menu .middle {
        border-bottom: 1px solid var(--darkThemeGray);
    }